<template>
  <section id="searchResults">
    <SearchItem
      v-for="item in data"
      @openModal="openModal(item)"
      v-bind:key="item.key"
      :item="item"
    />
    <SearchModal v-if="modalOpened" @closeModal="closeModal" :item="modalContent" />
  </section>
</template>

<script>
import SearchItem from "./SearchItem.vue";
import SearchModal from "./SearchModal.vue";

export default {
  name: "SearchResults",
  components: {
    SearchItem,
    SearchModal
  },
  data() {
    return {
      modalOpened: false,
      modalContent: Object
    };
  },
  props: {
    data: Array
  },
  methods: {
    openModal(object) {
      this.modalContent = object;
      this.modalOpened = !this.modalOpened;
    },
    closeModal() {
      this.modalContent = Object;
      this.modalOpened = !this.modalOpened;
    }
  }
};
</script>

<style lang="scss" scoped>
#searchResults {
  display: flex;
  justify-content: space-evenly;
  justify-items: center;
  background-color: darkslategray;
  color: green;

  .filter {
    background-color: lightslategrey;
    color: green;
  }
}
</style>